Foreman should support a graphql api

01/01/2018 07:25 PM - Timo Goebel

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

A graphql based API tries to solve a lot of problems that rest based apis have in regards of single page applications that access the

api directly from the ui. One of the benefits of a graphql based api is, that the client can specify what data he really needs. This can

reduce the number of request necessary to load all data.

This article has more background information, especially on how this helps with react based UIs:

https://dev-blog.apollodata.com/reducing-our-redux-code-with-react-apollo-5091b9de9c2a

Related issues:

Related to Foreman - Feature #23678: graphql: add scaffolding code Closed

Related to Foreman - Feature #23880: graphql: add global ids Closed

Related to Foreman - Feature #24008: graphql: add mutations for hw models Closed

Related to Foreman - Feature #24050: graphql: support total count on connections Closed

Related to Foreman - Feature #26013: Add graphiql console Closed

Related to Foreman - Feature #26151: add graphql base classes Closed

Related to Foreman - Feature #26265: graphql: add Operatingsystem queries Closed

Related to Foreman - Feature #26266: graphql: add Location queries Closed

Related to Foreman - Feature #26267: graphql: add Domain queries Closed

Related to Foreman - Feature #26268: graphql: add FactName queries Closed

Related to Foreman - Feature #26269: graphql: add FactValue queries Closed

Related to Foreman - Feature #26270: graphql: add Personal Access Token queries Closed

Related to Foreman - Feature #26281: graphql: add Subnet queries Closed

Related to Foreman - Feature #26288: graphql: add User queries Closed

Related to Foreman - Feature #26289: graphql: add Usergroup queries Closed

Related to Foreman - Feature #26290: graphql: query objects by global id Closed

Related to Foreman - Feature #26291: graphql: add Compute Resource queries Closed

Related to Foreman - Feature #26292: graphql: add Architecture queries Closed

Related to Foreman - Feature #26294: graphql: add Environment queries Closed

Related to Foreman - Feature #26293: graphql: add Domain queries Duplicate

Related to Foreman - Feature #26295: graphql: add Smart Proxy queries Closed

Related to Foreman - Feature #26296: graphql: add Puppetclass queries Closed

Related to Foreman - Feature #26297: graphql: add Host queries Closed

Related to Foreman - Feature #26298: graphql: add SshKey queries Closed

Related to Foreman - Feature #26341: graphql: Run GraphQL tests in Jenkins Closed

Related to Foreman - Feature #26382: graphql: add Organization queries Closed

Related to Foreman - Feature #26387: graphql: add Network queries Closed

Related to Foreman - Feature #26489: graphql: add a host create mutation Closed

Related to Foreman - Feature #26488: graphql: add currentUser query Closed

Related to Foreman - Feature #26490: graphql: add Hostgroup queries Closed

Related to Foreman - Feature #26491: graphql: add Ptable queries Closed

Related to Foreman - Feature #26492: graphql: add Medium queries Closed
Related to Foreman - Refactor #26528: graphql: refactor AuthorizedModelQuery ... Closed

Related to Foreman - Bug #26532: graphql should support ui sessions Closed

Related to Foreman - Feature #26541: graphql: add plugin DSL Closed

Related to Foreman - Feature #26548: graphql: support namespaced modules Closed

Related to Foreman - Feature #26817: graphql: support image queries New

Related to Discovery - Feature #26886: graphql: add queries for DiscoveryRules New

Related to Foreman - Feature #28014: graphql: add puppetclasses field to Envi... Closed

Related to Foreman - Bug #28017: graphql: cannot create a host with puppetcla... Closed

Related to Foreman - Feature #28123: graphql: It should be possible to sort h... Closed

Related to Foreman - Bug #28137: graphql: It's not possible to generate a glo... Closed

Related to Foreman - Feature #28920: graphql: add queries and mutations for s... Closed

Related to Foreman - Feature #28935: graphql: Add mutations for media Closed

Related to Foreman - Feature #28974: graphql: add mutations for operating sys... Closed

Related to Foreman - Bug #29943: Misleading message on viewing associated rec... New

Related to Foreman - Feature #30519: graphql: Add queries for config reports Closed

History

#1 - 03/19/2018 04:03 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5336 added

#2 - 05/23/2018 01:49 PM - Timo Goebel

- Related to Feature #23678: graphql: add scaffolding code added

#3 - 06/11/2018 11:38 AM - Timo Goebel

- Related to Feature #23880: graphql: add global ids added

#4 - 06/19/2018 05:19 PM - Timo Goebel

- Related to Feature #24008: graphql: add mutations for hw models added

#5 - 06/23/2018 09:07 AM - Timo Goebel

- Related to Feature #24050: graphql: support total count on connections added

#6 - 01/16/2019 01:23 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/5336)

#7 - 02/07/2019 02:32 PM - Ondřej Pražák

- Related to Feature #26013: Add graphiql console added

#8 - 02/25/2019 08:54 PM - Timo Goebel

- Related to Feature #26151: add graphql base classes added

#9 - 03/07/2019 10:57 AM - Timo Goebel

- Related to Feature #26265: graphql: add Operatingsystem queries added

#10 - 03/07/2019 10:58 AM - Timo Goebel

- Related to Feature #26266: graphql: add Location queries added

#11 - 03/07/2019 10:59 AM - Timo Goebel

- Related to Feature #26267: graphql: add Domain queries added

#12 - 03/07/2019 11:00 AM - Timo Goebel

- Related to Feature #26268: graphql: add FactName queries added

#13 - 03/07/2019 11:02 AM - Timo Goebel

- Related to Feature #26269: graphql: add FactValue queries added
#14 - 03/07/2019 11:05 AM - Timo Goebel

- Related to Feature #26270: graphql: add Personal Access Token queries added

#15 - 03/08/2019 12:05 PM - Timo Goebel

- Related to Feature #26281: graphql: add Subnet queries added

#16 - 03/10/2019 04:06 PM - Timo Goebel

- Related to Feature #26288: graphql: add User queries added

#17 - 03/10/2019 04:07 PM - Timo Goebel

- Related to Feature #26289: graphql: add Usergroup queries added

#18 - 03/10/2019 04:09 PM - Timo Goebel

- Related to Feature #26290: graphql: query objects by global id added

#19 - 03/10/2019 07:00 PM - Timo Goebel

- Related to Feature #26291: graphql: add Compute Resource queries added

#20 - 03/10/2019 07:00 PM - Timo Goebel

- Related to Feature #26292: graphql: add Architecture queries added

#21 - 03/10/2019 07:00 PM - Timo Goebel

- Related to Feature #26294: graphql: add Environment queries added

#22 - 03/10/2019 07:00 PM - Timo Goebel

- Related to Feature #26293: graphql: add Domain queries added

#23 - 03/10/2019 07:00 PM - Timo Goebel

- Related to Feature #26295: graphql: add Smart Proxy queries added

#24 - 03/10/2019 07:01 PM - Timo Goebel

- Related to Feature #26296: graphql: add Puppetclass queries added

#25 - 03/10/2019 07:16 PM - Timo Goebel

- Related to Feature #26297: graphql: add Host queries added

#26 - 03/10/2019 07:18 PM - Timo Goebel

- Related to Feature #26298: graphql: add SshKey queries added

#27 - 03/13/2019 02:58 PM - Kamil Szubrycht

- Related to Feature #26341: graphql: Run GraphQL tests in Jenkins added

#28 - 03/18/2019 08:37 AM - Kamil Szubrycht

- Related to Feature #26382: graphql: add Organization queries added

#29 - 03/18/2019 01:16 PM - Kamil Szubrycht

- Related to Feature #26387: graphql: add Network queries added

#30 - 03/30/2019 06:20 PM - Timo Goebel

- Related to Feature #26489: graphql: add a host create mutation added

#31 - 03/30/2019 06:20 PM - Timo Goebel

- Related to Feature #26488: graphql: add currentUser query added

#32 - 03/30/2019 08:15 PM - Timo Goebel

- Related to Feature #26490: graphql: add Hostgroup queries added
#33 - 03/30/2019 08:16 PM - Timo Goebel

- Related to Feature #26491: graphql: add Ptable queries added

#34 - 03/30/2019 08:27 PM - Timo Goebel

- Related to Feature #26492: graphql: add Medium queries added

#35 - 03/31/2019 09:04 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/6631 added

#36 - 03/31/2019 02:15 PM - Timo Goebel

- Status changed from Ready For Testing to New

- Assignee deleted (Timo Goebel)

- Pull request deleted (https://github.com/theforeman/foreman/pull/6631)

#37 - 04/03/2019 03:50 PM - Timo Goebel

- Related to Refactor #26528: graphql: refactor AuthorizedModelQuery into a resolver added

#38 - 04/03/2019 07:52 PM - Timo Goebel

- Related to Bug #26532: graphql should support ui sessions added

#39 - 04/04/2019 07:02 PM - Timo Goebel

- Related to Feature #26541: graphql: add plugin DSL added

#40 - 04/04/2019 07:03 PM - Timo Goebel

- Tracker changed from Feature to Tracker

- % Done set to 0

#41 - 04/05/2019 04:20 PM - Timo Goebel

- Related to Feature #26548: graphql: support namespaced modules added

#42 - 05/17/2019 10:46 AM - Timo Goebel

- Related to Feature #26817: graphql: support image queries added

#43 - 05/26/2019 02:31 PM - Timo Goebel

- Related to Feature #26886: graphql: add queries for DiscoveryRules added

#44 - 10/08/2019 08:30 AM - Kamil Szubrycht

- Related to Feature #28014: graphql: add puppetclasses field to Environment type added

#45 - 10/08/2019 12:22 PM - Kamil Szubrycht

- Related to Bug #28017: graphql: cannot create a host with puppetclasses added

#46 - 10/24/2019 02:08 PM - Kamil Szubrycht

- Related to Feature #28123: graphql: It should be possible to sort hosts by created_at added

#47 - 10/25/2019 09:01 AM - Kamil Szubrycht

- Related to Bug #28137: graphql: It's not possible to generate a global id for Redhat OS added

#48 - 02/04/2020 03:08 PM - Ondřej Pražák

- Related to Feature #28920: graphql: add queries and mutations for settings added

#49 - 02/05/2020 02:03 PM - Ondřej Pražák

- Related to Feature #28935: graphql: Add mutations for media added
#50 - 02/11/2020 11:03 AM - Ondřej Pražák

- Related to Feature #28974: graphql: add mutations for operating systems added

#51 - 05/27/2020 02:32 PM - Ondřej Pražák

- Related to Bug #29943: Misleading message on viewing associated records added

#52 - 07/29/2020 12:14 PM - Ondřej Pražák

- Related to Feature #30519: graphql: Add queries for config reports added
